import { createRouter } from "vue-router";
import { createWebHashHistory } from "vue-router";

import ZooLogin from '../pages/ZooLogin.vue'
import ZooPanel from "@/pages/ZooPanel.vue";
import ZooHome from '../pages/ZooHome.vue'

const router = createRouter({
    history: createWebHashHistory(),
    routes: [
        {
            // 重定向至面板主页
            path: '/',
            redirect: '/login'
        },
        {
            path: '/panel',
            redirect: '/panel/home'
        },
        {
            path: '/panel',
            component:ZooPanel,
            children:[
                {
                    path: 'home',
                    component: ZooHome
                },
            ]
        },
        {
            path: '/login',
            component: ZooLogin
        }
    ]
})

export default router